Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.query
Interface JDBCValue

All Superinterfaces:
  Value

All Known Implementing Classes:
  Constant

public interface JDBCValue
extends Value

A Value represents any non-operator in a query filter, including constants, variables, and object fields.

Method Summary
`void` | `appendIsEmpty(SQLBuffer sql, KodoPersistenceManager pm)` Append the SQL testing whether this value is empty to the given buffer.
`void` | `appendIsNotNull(SQLBuffer sql, KodoPersistenceManager pm)` Append the SQL testing whether this value is not null to the given buffer.
`void` | `appendIsNull(SQLBuffer sql, KodoPersistenceManager pm)` Append the SQL testing whether this value is null to the given buffer.
`void` | `appendTo(SQLBuffer sql, int index, KodoPersistenceManager pm)` Append the SQL for this value to the given buffer.
`void` | `calculateValue(KodoPersistenceManager pm, Map params, JDBCValue other)` Calculate and cache the SQL for this value.
`void` | `castTo(Class cls)` Cast this value to the given type.
`void` | `clearParameters()` Clear parameter values held by this value or its subcomponents.
`Object` | `getDataStoreValue(Object val, KodoPersistenceManager pm)` Transform the given value into its datastore equivalent.
`Joins` | `getJoins()` Return the joins for this value.
`boolean` | `hasVariable(kodo.jdbc.query.Variable var)` Return true if this value uses the given variable.
`void` | `initialize(KodoPersistenceManager pm, Select select, boolean nullTest)` Initialize the value.
`int` | `length()` Return the number of SQL elements in this value.
`Object` | `load(Result res, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Load the data for this value.
`void` | `select(Select sel, JDBCStoreManager store, JDBCFetchConfiguration fetch)` Select the data for this value.

Methods inherited from interface kodo.query.Value
`getMetaData, isVariable, setMetaData`

Method Detail

### castTo

    public void castTo(Class cls)

  Cast this value to the given type.

### initialize

    public void initialize(KodoPersistenceManager pm,
                           Select select,
                           boolean nullTest)

  Initialize the value. This method should recursively initialize any sub-values. It should also cache the `Joins` instance containing the joins for this value.
  Parameters:
    `pm` - the persistence manager for the query
    `select` - used to create `Joins` instances
    `nullTest` - if true, then this value will be compared to null or tested for emptiness

### calculateValue

    public void calculateValue(KodoPersistenceManager pm,
                               Map params,
                               JDBCValue other)

  Calculate and cache the SQL for this value.

### length

    public int length()

  Return the number of SQL elements in this value.

### appendTo

    public void appendTo(SQLBuffer sql,
                         int index,
                         KodoPersistenceManager pm)

  Append the SQL for this value to the given buffer.

### appendIsEmpty

    public void appendIsEmpty(SQLBuffer sql,
                              KodoPersistenceManager pm)

  Append the SQL testing whether this value is empty to the given buffer.

### appendIsNull

    public void appendIsNull(SQLBuffer sql,
                             KodoPersistenceManager pm)

  Append the SQL testing whether this value is null to the given buffer.

### appendIsNotNull

    public void appendIsNotNull(SQLBuffer sql,
                                KodoPersistenceManager pm)

  Append the SQL testing whether this value is not null to the given buffer.

### clearParameters

    public void clearParameters()

  Clear parameter values held by this value or its subcomponents.

### getJoins

    public Joins getJoins()

  Return the joins for this value. These joins should be created and cached during the `initialize(kodo.runtime.KodoPersistenceManager, kodo.jdbc.sql.Select, boolean)` method. The parent expression might modify these joins during its own initialization so that common joins are moved up the expression tree. These joins should not be included in the SQL appended through any of the `append` methods.

### getDataStoreValue

    public Object getDataStoreValue(Object val,
                                    KodoPersistenceManager pm)

  Transform the given value into its datastore equivalent.

### select

    public void select(Select sel,
                       JDBCStoreManager store,
                       JDBCFetchConfiguration fetch)

  Select the data for this value.

### load

    public Object load(Result res,
                       JDBCStoreManager store,
                       JDBCFetchConfiguration fetch)
                throws SQLException

  Load the data for this value.

### hasVariable

    public boolean hasVariable(kodo.jdbc.query.Variable var)

  Return true if this value uses the given variable.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.